/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation version
 * 2.1 of the License.
 *  
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *  
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * END COPYRIGHT BLOCK **/
/**********************************************************************
** NAME
**   global.h
**
** DESCRIPTION
**
** NOTES
**
** HISTORY
**
** $Log: global.h,v $
** Revision 1.1.1.1  2005/07/29 22:16:28  foxworth
** Importing new setup sdk for open source project
**
** Revision 1.4  2005/07/29 19:43:26  nkinder
** 164436 - Updated copyrights, licensed code under LGPL, and licensed docs under OPL
**
** Revision 1.3  2005/03/01 01:45:12  nhosoi
** Brand the Setup SDK as "Fedora"; updated copyrights
**
** Revision 1.2  2005/02/03 18:24:07  nhosoi
** rebranded setupsdk as brandx; updated the version number to 7.0
**
** Revision 1.1.1.1  2005/01/25 18:34:45  cvsadm
** Move SetupSDK from 6.2 development branch to TRUNK
**
** Revision 1.1.1.3.4.1  2003/08/28 18:13:19  djani
** Bug 601226: Now, the setup allows the programmer to run PrePreInstall programs on Unix platforms. The field PrePreInstall holds the location of the program relative to the setup program that will be executed before the dialogues appear. This is a new feature in the setupsdk.
**
** Revision 1.1.1.3  2001/11/16 00:18:56  ahakim
** remove iplanet and airius refs
**
** Revision 1.1.1.2  2001/11/06 01:51:26  ahakim
** XXX AOL/NSCP Copyright XXX
**
** Revision 1.1.1.1  1999/03/04 23:26:55  svbld
** importing setupsdk41 closer to the trunk
**
** Revision 1.1.2.20.4.11  1999/01/07 02:41:00  cxue
** change BIG_BUF to 2K. doUpdate argument to schema entry API
**
** Revision 1.1.2.20.4.10  1998/12/24 00:11:10  cxue
** change uint32 to unsigned int
**
** Revision 1.1.2.20.4.9  1998/12/18 02:07:25  cxue
** change NSPR20 to PROTYPES_H
**
** Revision 1.1.2.20.4.8  1998/12/18 01:11:13  cxue
** if NSPR20, not define uint32
**
** Revision 1.1.2.20.4.7  1998/11/17 23:14:11  cxue
** move uint32 typedef to global.h
**
** Revision 1.1.2.20.4.6  1998/10/29 17:52:19  pvo
** Changed SLEEP to WAIT_A_BIT
**
** Revision 1.1.2.20.4.5  1998/10/29 04:23:00  pvo
** 331981 - add fix for installation problem against replicated DS
**
** Revision 1.1.2.20.4.4  1998/10/28 19:08:33  pvo
** 310620 - update build number upon re-install
**
** Revision 1.1.2.20.4.3  1998/09/22 16:50:45  cxue
** Merge changes from admin4_branch
**
** Revision 1.1.2.20.4.2  1998/09/19 21:26:38  gbeasley
** fix build break typo
**
** Revision 1.1.2.20.4.1  1998/09/19 01:40:50  cxue
** define strncasecmp for NT
**
** Revision 1.1.2.20  1998/08/22 00:36:05  cxue
** directive PKG_UPDATE_LDIF
**
** Revision 1.1.2.19  1998/08/19 16:38:10  pvo
** Add binary-only install option
**
** Revision 1.1.2.18  1998/07/16 17:08:56  pvo
** Allow restore of installed files
**
** Revision 1.1.2.17  1998/07/02 03:30:14  pvo
** Some minor name changes
**
** Revision 1.1.2.16  1998/06/27 02:53:21  pvo
** Name change
**
** Revision 1.1.2.15  1998/06/24 17:40:13  pvo
** 129804 - support UserDirectoryAuth
**
** Revision 1.1.2.14  1998/05/28 21:14:59  pvo
** 122386 - add i18n_isspace()
**
** Revision 1.1.2.13  1998/05/13 22:12:27  terencek
** fixed build break
**
** Revision 1.1.2.12  1998/05/13 04:39:22  pvo
** 110487 - Support U/G separation
**
** Revision 1.1.2.11  1998/05/08 02:17:45  pvo
** Support relocation of MC Admin.
**
** Revision 1.1.2.10  1998/05/07 00:56:41  pvo
** 112552 - New ACI
**
** Revision 1.1.2.9  1998/04/09 23:57:47  pvo
** Restructure ux-util.h
**
** Revision 1.1.2.8  1998/04/06 21:17:13  pvo
** 112858 - Support for ForceExpressInstall flag
**
** Revision 1.1.2.7  1998/03/28 03:27:42  pvo
** 103621 - Support for 8-bit input.
**
** Revision 1.1.2.6  1998/03/13 04:59:41  pvo
** 198489 - Change to reflect Registry vs. Account server concept
**
** Revision 1.1.2.5  1998/03/07 03:22:14  pvo
** Support schema changes.
** Allow writing empty attribute from Ldif file.
** Set new ACI to open up Global Preferences.
**
** Revision 1.1.2.4  1998/02/26 01:40:22  gbeasley
** more sie integration
**
** Revision 1.1.2.3  1998/02/25 05:04:50  pvo
** Separate WIN32 and UNIX stuffs
**
** Revision 1.1.2.2  1998/02/24 01:05:20  pvo
** Initial setup for integrating UX and NT SIE functions.
**
** Revision 1.1.2.1  1998/02/24 00:40:20  pvo
** Change to support change from globals.{h,cpp} to global.{h, cpp}
**
** Revision 1.1.2.16  1998/02/24 00:21:12  pvo
** Support topology changes.
**
** Revision 1.1.2.15  1998/02/15 22:05:42  pvo
** 106679 - Support installation of standalone MCC.
**
** Revision 1.1.2.14  1998/02/10 00:06:08  pvo
** 105971 - Allow local admin to access other servers within the same
** server root.
**
** Revision 1.1.2.13  1998/02/08 21:51:19  pvo
** 105971 - delegation support
**
** Revision 1.1.2.12  1998/01/23 01:41:59  pvo
** Support writing NYR into DS.
**
** Revision 1.1.2.11  1998/01/22 04:49:13  pvo
** Changed Directory Administrators to SuiteSpot Administrators.
**
** Revision 1.1.2.10  1998/01/09 17:57:40  pvo
** Added PKG_ACCEPT_LANGUAGE.
**
** Revision 1.1.2.9  1997/12/13 00:21:31  pvo
** Add Global Preferences.
**
** Revision 1.1.2.8  1997/12/12 21:54:03  pvo
** Various bug fixes.
**
** Revision 1.1.2.7  1997/11/13 19:28:15  pvo
** More new stuffs.
**
** Revision 1.1.2.6  1997/11/11 19:15:26  pvo
** Added support for logging uninstall info.
**
** Revision 1.1.2.5  1997/11/07 22:42:45  pvo
** New code to support uninstallation.
**
** Revision 1.1.2.4  1997/10/28 01:06:02  pvo
** Added DEFAULT_SIE_ACI.
**
** Revision 1.1.2.3  1997/10/16 04:24:05  pvo
** Quite a lot of code changes for support updating and ACIs.
**
** Revision 1.1.2.2  1997/10/11 00:04:10  pvo
** Added DEFAULT_CONTAINER_RDN.
**
** Revision 1.1.2.1  1997/09/27 02:46:39  pvo
** Checked in.
**
**
***********************************************************************/

#ifndef NS_GLOBAL_H
#define NS_GLOBAL_H

#ifdef __cplusplus
extern "C" {
#endif

typedef enum {False, True} Bool;

#ifdef XP_WIN32
#define NSAPI_EXTERN _declspec(dllexport)
#define PATH_DELIM '\\'
#ifndef strcasecmp
#define strcasecmp _stricmp
#endif
#ifndef strncasecmp
#define strncasecmp _strnicmp
#endif
#define WAIT_A_BIT _sleep
#else
#define PATH_DELIM '/'
#define NSAPI_EXTERN extern
#define WAIT_A_BIT sleep
#endif

#define i18n_isspace(VAL) (((((int)(VAL)) & 0x7f) == ((int)(VAL))) && isspace((int)(VAL)))

/*
 ************************************************************************
 * Just buffer size!
 ***********************************************************************
 */
#define BIG_BUF 2048
#define MED_BUF 512
#define SML_BUF 256
#define XSM_BUF 48

/*
 ************************************************************************
 * Lower/Higher bounds of port numbers
 ***********************************************************************
 */
#define MINPORT 1024
#define MAXPORT 65535

/*
 ************************************************************************
 * Installation Modes and Types
 ***********************************************************************
 */
typedef enum {Interactive=1, Silent, ScriptGen, BinaryOnly} InstallMode;
typedef enum {Express=1, Typical, Custom} InstallType;

/*
 ************************************************************************
 * Default installation values
 ***********************************************************************
 */
#ifndef XP_WIN32
extern const char *DEFAULT_LDAPSWITCH; 		/* dbswitch.conf */
extern const char *DEFAULT_ADMINUSER;           /* Local Admin */
extern const char *DEFAULT_ADMINPWD;	        /* Local Admin Password */
extern const char *DEFAULT_SSUSERCONF;		/* ssusers.conf */
extern const char *DEFAULT_ADMINCONF;		/* ns-admin.conf */
extern const char *DEFAULT_SSUSER;		/* nobody */
extern const char *DEFAULT_SSGROUP;		/* nobody */
extern const char *DEFAULT_SROOT;	/* /usr/netscape/suitespot4 */
extern const char *DEFAULT_CLIENTROOT;	/* /usr/netscape/mcc40 */

extern const char *DEFAULT_SOURCE;      /* TBD, default source respository*/
extern const char *DEFAULT_INSTALL_TYPE; /* 1: Express, 2: Typical, 3: Custom */

extern const char *DEFAULT_LDAP_SUFFIX; /* o=Example.com */
#endif

extern const char *LDAP_PATHSEP;
extern const char *OBJECT_CLASS_FILTER ;
extern const char *GROUP_OBJECT_CLASS;

extern const char *DEFAULT_BRAND ;		   /* Brand Name */
extern const char *DEFAULT_BRAND_ONEWORD ; /* BrandName */

extern const char *DEFAULT_ROOT ;		/* NetscapeRoot */
extern const char *DEFAULT_ROOT_DN ;		/* o=NetscapeRoot */
extern const char *DEFAULT_ROOT_OBJECT ;	/* NetscapeRoot */

extern const char *DEFAULT_SS_CONTAINER ;	/* Netscape SuiteSpot */
extern const char *DEFAULT_SS_CONTAINER_RDN ;	/* ou=Netscape SuiteSpot */
extern const char *DEFAULT_SS_CONTAINER_DN;     /* ou=Netscape Suitespot, o=NetscapeRoot */
extern const char *DEFAULT_SS_CONTAINER_GRP_RDN;/* cn=Netscape SuiteSpot */
extern const char *DEFAULT_SS_CONTAINER_FILTER; /* (&(objectclass=organizationalUnit)(ou=NetscapeSuiteSpot))" */
extern const char *DEFAULT_SS_CONTAINER_OBJECT ;/* organizationalUnit */

extern const char *DEFAULT_ADMIN_GROUP ;	/* Admin Group x */
extern const char *DEFAULT_ADMIN_GROUP_RDN ;	/* cn = Admin Group x */
extern const char *DEFAULT_ADMIN_GROUP_OBJECT ; /* netscapeAdminGroup */

extern const char *DEFAULT_GLOBAL_PREFS;	/* Global Preferences */
extern const char *DEFAULT_GLOBAL_PREFS_RDN;    /* ou = Global Preferences */
extern const char *DEFAULT_GLOBAL_PREFS_OBJECT; /* organizationalUnit */

extern const char *DEFAULT_COMMON_PREFS;        /* Common */
extern const char *DEFAULT_COMMON_PREFS_RDN;	/* cn = Common */
extern const char *DEFAULT_COMMON_PREFS_OBJECT; /* netscapeGlobalParameters */
extern const char *DEFAULT_COMMON_PREFS_FILTER;

extern const char *DEFAULT_ADMIN_SEARCH_DN; /* ou=Mission Control, o=NetscapeRoot */

extern const char *DEFAULT_USER_DIRINFO; /* User Directory */
extern const char *DEFAULT_USER_DIRINFO_RDN; /* cn= User Directory */
extern const char *DEFAULT_USER_DIRINFO_OBJECT; /* nsDirectoryInfo */

/*
 ***************************************************************************
 * Templates for default ACIs
 ***************************************************************************
 */

/*
 * ACIs set at o=NetscapeRoot node (3.x and 4.x)
 */
extern const char *DEFAULT_ROOT_ACI_1 ;	/* Known Users access */
extern const char *DEFAULT_ROOT_ACI_2 ;	/* MC Admin access */

/*
 * ACI set at o=NetscapeRoot for group expansion (4.x)
 */
extern const char *DEFAULT_ROOT_ACI_3 ; /* Group expansion*/

/*
 * ACIs set at Administration Domain entry (3.x and 4.x)
 */
extern const char *DEFAULT_SS_CONTAINER_ACI;

/*
 * ACI set at Global Preferences entry (3.x and 4.x)
 */
extern const char *DEFAULT_GLOBAL_PREFS_ACI ;
extern const char *DEFAULT_HOST_PREFS_ACI;

/*
 * ACI set at netscapeHost node (3.x only)
 */
extern const char *DEFAULT_HOST_ACI ;		/* ACI for host */

/*
 * ACI set at netscapeAdminGroup node (3.x only)
 */
extern const char *DEFAULT_ADMINGRP_ACI;	/* ACI for SS group */

/*
 * ACI set at netscapeAdminGroup node (4.x only)
 */
extern const char *DEFAULT_ADMINGRP4_ACI;

/*
 * ACI set at netscapeApplication node (3.x only)
 */
extern const char *DEFAULT_PRODUCT_ACI;         /* ACI for Product */

/*
 * ACI set at the SIE (3.x only)
 */
extern const char *DEFAULT_SIE_ACI_1;

/*
 * ACI set at the SIE (3.x and 4.x)
 */

extern const char *DEFAULT_SIE_ACI_2; 

/*
 * ACI set at cn=Configuration, dn=SIE's DN node
 */
extern const char *DEFAULT_SIE_CONFIG_ACI;

/*
 ***************************************************************************
 * Common Package Information File variables
 ***************************************************************************
 */
extern const char *PKG_NAME;
extern const char *PKG_VENDOR;
extern const char *PKG_DESCRIPTION;
extern const char *PKG_CREATIONDATE;
extern const char *PKG_VERSION;
extern const char *PKG_REVISION;
extern const char *PKG_DEPENDENCIES;
extern const char *PKG_COMPATIBLE;
extern const char *PKG_COMPONENTS;
extern const char *PKG_NICKNAME;
extern const char *PKG_BUILDNUMBER;
extern const char *PKG_SERIALNUMBER;
extern const char *PKG_SCHEMAVERSION;

extern const char *PKG_PREPREINSTALL;
extern const char *PKG_PREINSTALL;
extern const char *PKG_POSTINSTALL;
extern const char *PKG_PREUNINSTALL;
extern const char *PKG_POSTUNINSTALL;
extern const char *PKG_ARCHIVE;
extern const char *PKG_DEFAULT_LANGUAGE;
extern const char *PKG_EXPIRY;
extern const char *PKG_SECURITY;
extern const char *PKG_REMOVABLE;
extern const char *PKG_APPLYTO;
extern const char *PKG_TYPE;		/* Patch or Update */
extern const char *PKG_KEEPFILES;
extern const char *PKG_KEEPDIRS;
extern const char *PKG_BACKUPFILES;
extern const char *PKG_RESTOREFILES;
extern const char *PKG_CHECKED;
extern const char *PKG_MANDATORY;
extern const char *PKG_USELDAP;
extern const char *PKG_VISIBLE;
extern const char *PKG_PATCHES;
extern const char *PKG_REGISTRATION;  /* True, False */
extern const char *PKG_ISMCC;
extern const char *PKG_FORCE_XPRESS; /* True, False */
extern const char *PKG_USERDIR_AUTH; /* True, False */
extern const char *PKG_UPDATE_LDIF;
extern const char *PKG_START_PROGRAM;


/*
 ***************************************************************************
 * Silent Installation variables
 ***************************************************************************
 */
extern const char *SERVER_LIST;
extern const char *SERVER_ROOT;
extern const char *SERVER_SRC;
extern const char *MACHINE_NAME;

extern const char *CONFIG_LDAP_URL;
extern const char *CONFIG_DS_HOST;
extern const char *CONFIG_DS_PORT;
extern const char *CONFIG_DS_SUFFIX;

extern const char *DS_ADMIN_DOMAIN;

extern const char *SS_USER_ID;
extern const char *SS_GROUP;
extern const char *MC_ADMIN_ID;    /* Configuration Admin ID */
extern const char *MC_ADMIN_PWD;

extern const char *UG_LDAP_URL;    /* User Directory Admin ID */
extern const char *UG_ADMIN_ID;
extern const char *UG_ADMIN_PWD;

/*
 ***************************************************************************
 * Installation related directories and file naming
 ***************************************************************************
 */
extern const char *INF_SUFFIX;  	/* Suffix of info files */
extern const char *LOG_SUFFIX;		/* Suffix of log files */

extern const char *SETUP_DIR;		/* <serverroot>/setup */
extern const char *SUITESPOT_INF;	/* setup.inf */
extern const char *INSTALL_INF;		/* install.inf */
extern const char *UNINSTALL_INF;	/* uninstall.inf */
extern const char *INSTALL_LOG;         /* install.log */

#ifdef __cplusplus
}
#endif
#endif
