/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation version
 * 2.1 of the License.
 *  
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *  
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * END COPYRIGHT BLOCK **/
/*********************************************************************
*
** NAME
**   nsutils.h replaced by setupapi.h, DO not use anymore. 
**
** DESCRIPTION
**   Various functions shared by NT and Unix.
** NOTES
**   APIs here are obsolete. Please use identical APIs defined in setupapi.h
**
** HISTORY
** $Log: nsutils.h,v $
** Revision 1.1.1.1  2005/07/29 22:16:28  foxworth
** Importing new setup sdk for open source project
**
** Revision 1.3  2005/07/29 19:43:26  nkinder
** 164436 - Updated copyrights, licensed code under LGPL, and licensed docs under OPL
**
** Revision 1.2  2005/03/01 01:45:12  nhosoi
** Brand the Setup SDK as "Fedora"; updated copyrights
**
** Revision 1.1.1.1  2005/01/25 18:34:45  cvsadm
** Move SetupSDK from 6.2 development branch to TRUNK
**
** Revision 1.1.1.2  2001/11/06 01:51:27  ahakim
** XXX AOL/NSCP Copyright XXX
**
** Revision 1.1.1.1  1999/03/04 23:26:56  svbld
** importing setupsdk41 closer to the trunk
**
** Revision 1.1.2.10.4.5  1998/10/13 21:04:52  gbeasley
** changing nss to setup
**
** Revision 1.1.2.10.4.4  1998/10/12 04:27:48  gbeasley
** silent uninstall
**
** Revision 1.1.2.10.4.3  1998/10/07 01:17:54  cxue
** #define APIs to call nssutils.cpp
**
** Revision 1.1.2.10.4.2  1998/10/06 21:42:25  gbeasley
** initial common nss functions for unix and nt
**
** Revision 1.1.2.10.4.1  1998/09/30 18:09:59  cxue
** Move more sharing APIs here
**
**/

#ifndef NSUTILS_H
#define NSUTILS_H

#include "setupapi.h"

#ifdef __cplusplus
extern "C" {
#endif

NSAPI_EXTERN char * formAdminDomainDN(const char *domain);
NSAPI_EXTERN char * stripAdminDomainDN(const char *domainDN);

NSAPI_EXTERN void getDefaultLdapInfo (const char *sroot,char **ldapURL,char **ldapUser,char **adminDomain);
NSAPI_EXTERN char *formConfigLdapURL(const char *ldapURL);
NSAPI_EXTERN char * stripConfigLdapURL(const char *configURL);
NSAPI_EXTERN int  IsValidLdapServer(const char* pszHost, int nPort, const char* pszSuffix,
                  const char* pszUserDN, const char* pszPassword);
NSAPI_EXTERN int  IsValidLdapUser(const char* pszHost, int nPort, const char* pszSuffix,
                  char** pszUser, const char* pszPassword, int bReturnDN);
NSAPI_EXTERN int  ParseLdapUrl(char * szldapURL, char ** szldapDomain, unsigned int *uldapPort, char ** szldapDN);
NSAPI_EXTERN void nsSetupFree(char *src);
NSAPI_EXTERN int  insertPluginLdifEntries(const char *ldapURL, const char *adminDomain, const char *ldapUser, 
                  const char *ldapPwd, const char *ldifFile);

#ifdef __cplusplus
}
#endif


#endif
