/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation version
 * 2.1 of the License.
 *  
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *  
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * END COPYRIGHT BLOCK **/
/*********************************************************************
*
** NAME
**   uninstall.h
**
** DESCRIPTION
**   Contains log functions for uninstallation use.
**
** NOTES
**
** HISTORY
** $Log: uninstall.h,v $
** Revision 1.1.1.1  2005/07/29 22:16:28  foxworth
** Importing new setup sdk for open source project
**
** Revision 1.3  2005/07/29 19:43:26  nkinder
** 164436 - Updated copyrights, licensed code under LGPL, and licensed docs under OPL
**
** Revision 1.2  2005/03/01 01:45:12  nhosoi
** Brand the Setup SDK as "Fedora"; updated copyrights
**
** Revision 1.1.1.1  2005/01/25 18:34:45  cvsadm
** Move SetupSDK from 6.2 development branch to TRUNK
**
** Revision 1.1.1.2  2001/11/06 01:51:29  ahakim
** XXX AOL/NSCP Copyright XXX
**
** Revision 1.1.1.1  1999/03/04 23:26:57  svbld
** importing setupsdk41 closer to the trunk
**
** Revision 1.1.2.1  1997/11/11 19:15:29  pvo
** Added support for logging uninstall info.
**
**
*********************************************************************/
#ifdef __cplusplus
extern "C" {
#endif

void logUninstallInfo(const char *serverRoot, 
                      const char *componentNickName,
                      const char *moduleNickName, /* NULL if N/A */
                      const char *fileOrDirName);

#ifdef __cplusplus
}
#endif
