/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation version
 * 2.1 of the License.
 *  
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *  
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * END COPYRIGHT BLOCK **/
/*********************************************************************
**
** NAME:
**   globals.cc
**
** DESCRIPTION:
**   Global constants definitions
** NOTES:
**
** HISTORY:
** $Log: global.cpp,v $
** Revision 1.1.1.1  2005/07/29 22:16:28  foxworth
** Importing new setup sdk for open source project
**
** Revision 1.4  2005/07/29 19:43:27  nkinder
** 164436 - Updated copyrights, licensed code under LGPL, and licensed docs under OPL
**
** Revision 1.3  2005/03/01 01:45:13  nhosoi
** Brand the Setup SDK as "Fedora"; updated copyrights
**
** Revision 1.2  2005/02/03 18:24:08  nhosoi
** rebranded setupsdk as brandx; updated the version number to 7.0
**
** Revision 1.1.1.1  2005/01/25 18:34:45  cvsadm
** Move SetupSDK from 6.2 development branch to TRUNK
**
** Revision 1.1.1.5.4.1  2003/08/28 18:13:21  djani
** Bug 601226: Now, the setup allows the programmer to run PrePreInstall programs on Unix platforms. The field PrePreInstall holds the location of the program relative to the setup program that will be executed before the dialogues appear. This is a new feature in the setupsdk.
**
** Revision 1.1.1.5  2001/11/06 01:51:30  ahakim
** XXX AOL/NSCP Copyright XXX
**
** Revision 1.1.1.4  2001/09/20 21:32:32  miodrag
** Change default install dir to /usr/netscape/servers
**
** Revision 1.1.1.3  2000/08/11 01:07:25  peterz
** change iPlanet/server4 to iplanet/servers on Unix
**
** Revision 1.1.1.2  2000/03/06 01:13:41  peterz
** change "Netscape" to "iPlanet"
**
** Revision 1.1.1.1  1999/03/04 23:28:26  svbld
** importing setupsdk41 closer to the trunk
**
** Revision 1.1.2.20.4.5  1998/10/28 19:08:36  pvo
** 310620 - update build number upon re-install
**
** Revision 1.1.2.20.4.4  1998/10/13 21:03:10  gbeasley
** changing nss to setup
**
** Revision 1.1.2.20.4.3  1998/10/02 23:49:28  cxue
** compilation
**
** Revision 1.1.2.20.4.2  1998/10/02 23:34:44  gbeasley
** cleanup for defines
**
** Revision 1.1.2.20.4.1  1998/09/22 16:51:42  cxue
** Merge changes from admin4_branch
**
** Revision 1.1.2.20  1998/08/22 00:37:12  cxue
** PKG_UPDATE_LDIF
**
** Revision 1.1.2.19  1998/08/20 05:34:32  pvo
** Fixed ACI problem
**
** Revision 1.1.2.18  1998/08/18 03:49:37  pvo
** 314468 - Support new presentation of Config Dir LDAP URL
**
** Revision 1.1.2.17  1998/07/15 02:03:12  pvo
** 299791 - Modify SIE ACI to enable modification of the SIE by server admin
**
** Revision 1.1.2.16  1998/07/02 03:30:23  pvo
** Some minor name changes
**
** Revision 1.1.2.15  1998/06/27 02:55:23  pvo
** Name change
**
** Revision 1.1.2.14  1998/06/24 17:40:44  pvo
** 129804 - support UserDirectoryAuth
**
** Revision 1.1.2.13  1998/05/13 04:39:26  pvo
** 110487 - Support U/G separation
**
** Revision 1.1.2.12  1998/05/08 02:17:48  pvo
** Support relocation of MC Admin.
**
** Revision 1.1.2.11  1998/05/07 00:56:13  pvo
** 112552 - New ACI
**
** Revision 1.1.2.10  1998/05/01 23:24:38  gbeasley
** 113120 - New termonologies
**
** Revision 1.1.2.9  1998/04/06 21:17:20  pvo
** 112858 - Support for ForceExpressInstall flag
**
** Revision 1.1.2.8  1998/03/17 04:09:32  pvo
** Additional fix for delegation.
**
** Revision 1.1.2.7  1998/03/17 03:10:02  pvo
** Fixed urgent bug. Change groupdn to userdn.
**
** Revision 1.1.2.6  1998/03/13 04:59:56  pvo
** 198489 - Change to reflect Registry vs. Account server concept
**
** Revision 1.1.2.5  1998/03/07 03:22:23  pvo
** Support schema changes.
** Allow writing empty attribute from Ldif file.
** Set new ACI to open up Global Preferences.
**
** Revision 1.1.2.4  1998/02/25 05:05:11  pvo
** Separate WIN32 and UNIX stuffs.
**
** Revision 1.1.2.3  1998/02/24 21:32:29  pvo
** 107637 - Silent install does not work with new InstallDN question
**
** Revision 1.1.2.2  1998/02/24 01:05:23  pvo
** Initial setup for integrating UX and NT SIE functions.
**
** Revision 1.1.2.1  1998/02/24 00:40:27  pvo
** Change to support change from globals.{h,cpp} to global.{h, cpp}
**
** Revision 1.1.2.16  1998/02/24 00:21:30  pvo
** Support topology change.
**
** Revision 1.1.2.15  1998/02/15 22:06:33  pvo
** 106679 - Support standalone installation of MCC.
**
** Revision 1.1.2.14  1998/02/10 00:06:35  pvo
** 105971 - Allow local admin to access other servers within the same
** server root.
**
** Revision 1.1.2.13  1998/02/08 21:50:45  pvo
** 105971 - Delegation support
**
** Revision 1.1.2.12  1998/01/23 01:42:03  pvo
** Support writing NYR into DS.
**
** Revision 1.1.2.11  1998/01/22 05:11:57  pvo
** Changed /usr/netscape/suitespot to /usr/netscape/suitespot4
**
** Revision 1.1.2.10  1998/01/22 04:49:35  pvo
** Changed Directory Administrators to SuiteSpot Administrators.
** Changed Admin Group to SuiteSpot 4.0
**
** Revision 1.1.2.9  1998/01/09 18:14:29  pvo
** Added PKG_DEFAULT_ACCEPT_LANGUAGE.
**
** Revision 1.1.2.8  1997/12/13 00:21:50  pvo
** Added global preferences.
**
** Revision 1.1.2.7  1997/12/12 21:54:07  pvo
** Various bug fixes.
**
** Revision 1.1.2.6  1997/11/13 19:28:20  pvo
** More new stuffs.
**
** Revision 1.1.2.5  1997/11/07 22:43:22  pvo
** New code to support uninstallation.
**
** Revision 1.1.2.4  1997/10/28 01:06:07  pvo
** Added DEFAULT_SIE_ACI.
**
** Revision 1.1.2.3  1997/10/16 05:50:34  pvo
** Fixed ACI syntax.
**
** Revision 1.1.2.2  1997/10/16 04:22:41  pvo
** Quite a lot of code changes for ACI support.
**
** Revision 1.1.2.1  1997/10/06 20:36:36  pvo
** Restructure depdencies and changed suffixes from .cc to .cpp
**
** Revision 1.1.2.1  1997/09/27 02:46:56  pvo
** Checked in.
**
**
*********************************************************************/


#include "setupdefs.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef XP_WIN32
const char *DEFAULT_LDAPSWITCH = SETUP_DEFAULT_LDAPSWITCH;
const char *DEFAULT_ADMINUSER = "admin";
const char *DEFAULT_ADMINPWD = "admin";
const char *DEFAULT_SSUSERCONF = "shared/config/ssusers.conf";
const char *DEFAULT_ADMINCONF = "admin-serv/config/ns-admin.conf";
const char *DEFAULT_SSUSER = "nobody";
const char *DEFAULT_SSGROUP = "nobody";
const char *DEFAULT_SROOT = "/opt/fedora";
const char *DEFAULT_CLIENTROOT = "/opt/fedora/mcc";
const char *DEFAULT_INSTALL_TYPE = "2";

const char *DEFAULT_SOURCE = "/tmp/svr4download";

#endif

const char *LDAP_PATHSEP = ", ";
const char *OBJECT_CLASS_FILTER = "(objectclass=*)";
const char *GROUP_OBJECT_CLASS  = "groupOfUniqueNames";


const char *DEFAULT_BRAND = "Fedora";
const char *DEFAULT_BRAND_ONEWORD = "Fedora";

const char *DEFAULT_ROOT = SETUP_DEFAULT_ROOT;
const char *DEFAULT_ROOT_DN = SETUP_DOMAIN_ROOT;
const char *DEFAULT_ROOT_OBJECT = "Organization";

const char *DEFAULT_SS_CONTAINER = "NetscapeServers";
const char *DEFAULT_SS_CONTAINER_RDN = "ou=NetscapeServers";
const char *DEFAULT_SS_CONTAINER_DN = "ou=NetscapeServers, o=NetscapeRoot";
const char *DEFAULT_SS_CONTAINER_GRP_RDN = "cn=NetscapeServers";
const char *DEFAULT_SS_CONTAINER_FILTER = "(&(objectclass=organizationalUnit)(ou=NetscapeServers))";
const char *DEFAULT_SS_CONTAINER_OBJECT = "organizationalUnit";

const char *DEFAULT_ADMIN_GROUP = "Server Group";
const char *DEFAULT_ADMIN_GROUP_RDN = "cn=Server Group";
const char *DEFAULT_ADMIN_GROUP_OBJECT = "nsAdminGroup";

const char *DEFAULT_GLOBAL_PREFS = "Global Preferences";
const char *DEFAULT_GLOBAL_PREFS_RDN = "ou=Global Preferences";
const char *DEFAULT_GLOBAL_PREFS_OBJECT = "organizationalUnit";
const char *DEFAULT_GLOBAL_PREFS_FILTER = "(&(objectclass=organizationalUnit)(ou=Global Preferences))";

const char *DEFAULT_COMMON_PREFS = "Common";
const char *DEFAULT_COMMON_PREFS_RDN = "cn=Common";
const char *DEFAULT_COMMON_PREFS_OBJECT = "nsGlobalParameters";
const char *DEFAULT_COMMON_PREFS_FILTER="(&(objectclass=nsGlobalParameters)(cn=Common))";

const char *DEFAULT_ADMIN_SEARCH_DN = "ou=TopologyManagement, o=NetscapeRoot";

const char *DEFAULT_USER_DIRINFO = "UserDirectory";
const char *DEFAULT_USER_DIRINFO_RDN = "cn=UserDirectory";
const char *DEFAULT_USER_DIRINFO_OBJECT = "nsDirectoryInfo";

//
// LDAP-related constants
//

/*
 * Enable the SuiteSpot Admin Group all rights
 */
const char *DEFAULT_ROOT_ACI_1 = "(targetattr=*)(targetfilter=(o=NetscapeRoot))(version 3.0; acl \"Enable access by known users\"; allow (read,search) userdn=\"ldap:///all\";)";

const char *DEFAULT_ROOT_ACI_2 = "(targetattr=*)(version 3.0; acl \"Configuration Administrator access rights\"; allow (all) groupdn = \"ldap:///cn=Configuration Administrators,%s\";)";

const char *DEFAULT_ROOT_ACI_3 = "(targetattr=*)(version 3.0; acl \"Group expansion for access delegation\"; allow (read,search,compare) groupdnattr = \"ldap:///o=NetscapeRoot?uniquemember?sub\";)";

const char *DEFAULT_SS_CONTAINER_ACI = "(targetattr=*)(targetfilter=(ou=%s))(version 3.0; acl \"Enable anonymous access\"; allow(read,search) userdn=\"ldap:///anyone\";)";

const char *DEFAULT_GLOBAL_PREFS_ACI = "(targetattr=*)(version 3.0; acl \"Enable anonymous access\"; allow(read,search) userdn=\"ldap:///anyone\";)";

const char *DEFAULT_HOST_PREFS_ACI = "(targetattr=*)(version 3.0; acl \"Enable anonymous access\"; allow(read,search) userdn=\"ldap:///anyone\";)";

/*
 * Enable delegated administrators to see his host
 */
const char *DEFAULT_HOST_ACI = "(targetattr= *)(targetfilter=(nshardwarePlatform=*))(version 3.0; acl \"Enable delegated access\"; allow (read, search, compare) groupdn=\"ldap:///%s\";)";

/*
 * Enable delegated administrators to see his Admin Group
 */
const char *DEFAULT_ADMINGRP_ACI = "(targetattr=*)(targetfilter=(nsconfigRoot=*))(version 3.0; acl \"Enable delegated access\"; allow (read,search, compare) groupdn=\"ldap:///%s\";)";

const char *DEFAULT_ADMINGRP4_ACI = "(targetattr=*)(version 3.0; acl \"Enable delegated access\"; allow (read,search,compare) userdn=\"ldap:///%s\";)";

/*
 * Enable delegated administrators to see his responsible product
 */
const char *DEFAULT_PRODUCT_ACI = "(targetattr=*)(targetfilter=(nsNickName=*))(version 3.0; acl \"Enable delegated access\"; allow (read,search, compare) groupdn=\"ldap:///%s\";)";

/*
 * Enable delegated administrators to see ONLY his server
 */
const char *DEFAULT_SIE_ACI_1 = "(targetattr=*)(version 3.0; acl \"Enable delegated access\"; allow (read, search, compare) groupdn=\"ldap:///%s\";)";

/*
 * Enable delegated administrators to delegate ONLY the server
 * he has access to
 */
const char *DEFAULT_SIE_ACI_2 = "(targetattr=\"uniquemember || serverProductName || administratorContactInfo || userpassword || description\")(targetfilter=(objectclass=netscapeServer))(version 3.0; acl \"Enable access delegation\"; allow (write) groupdn=\"ldap:///%s\";)";

/*
 * Enable delegated administrators as well as own SIE to have full
 * access to the server's configuration data
 */
const char *DEFAULT_SIE_CONFIG_ACI = "(targetattr=*)(version 3.0; acl \"Enable Server configuration\"; allow (all) groupdn=\"ldap:///%s\";)";

/*
 ***
 * Common Package information parameters
 ***
 */
const char *PKG_NAME             = SETUP_INF_NAME;
const char *PKG_ALIAS            = SETUP_INF_ALIAS;
const char *PKG_VENDOR           = SETUP_INF_VENDOR;
const char *PKG_DESCRIPTION      = SETUP_INF_DESC;
const char *PKG_CREATIONDATE     = SETUP_INF_CREATIONDATE;
const char *PKG_VERSION          = SETUP_INF_VERSION;
const char *PKG_REVISION         = SETUP_INF_REVISION;
const char *PKG_DEPENDENCIES     = SETUP_INF_DEPEND;
const char *PKG_COMPATIBLE       = SETUP_INF_COMPATIBLE;
const char *PKG_COMPONENTS       = SETUP_INF_COMPONENTS;
const char *PKG_NICKNAME         = SETUP_INF_NICKNAME;
const char *PKG_BUILDNUMBER      = SETUP_INF_BUILDNUMBER;
const char *PKG_SERIALNUMBER     = SETUP_INF_SERIALNUMBER;
const char *PKG_SCHEMAVERSION    = SETUP_INF_SCHEMAVERSION;
const char *PKG_PREPREINSTALL    = SETUP_INF_PREPREINSTALL;
const char *PKG_PREINSTALL       = SETUP_INF_PREINSTALL;
const char *PKG_POSTINSTALL      = SETUP_INF_POSTINSTALL;
const char *PKG_PREUNINSTALL     = SETUP_INF_PREUNINSTALL;
const char *PKG_POSTUNINSTALL    = SETUP_INF_POSTUNINSTALL;
const char *PKG_ARCHIVE          = SETUP_INF_ARCHIVE;
const char *PKG_DEFAULT_LANGUAGE = SETUP_INF_DEFAULT_LANGUAGE;
const char *PKG_EXPIRY           = SETUP_INF_EXPIRY;
const char *PKG_SECURITY         = SETUP_INF_SECURITY;
const char *PKG_REMOVABLE        = SETUP_INF_REMOVABLE;
const char *PKG_APPLYTO          = SETUP_INF_APPLYTO;
const char *PKG_TYPE             = SETUP_INF_TYPE;
const char *PKG_KEEPFILES        = SETUP_INF_KEEP_FILES;
const char *PKG_KEEPDIRS         = SETUP_INF_KEEP_DIRS;
const char *PKG_BACKUPFILES      = SETUP_INF_BACKUP_FILES;
const char *PKG_RESTOREFILES     = SETUP_INF_RESTORE_FILES;
const char *PKG_CHECKED          = SETUP_INF_CHECK;
const char *PKG_MANDATORY        = SETUP_INF_MANDATORY;
const char *PKG_USELDAP          = SETUP_INF_USELDAP;
const char *PKG_VISIBLE          = SETUP_INF_VISIBLE;
const char *PKG_PATCHES          = SETUP_INF_PATCHES;
const char *PKG_REGISTRATION     = SETUP_INF_REG_NYR;
const char *PKG_ISMCC            = SETUP_INF_ISMCC;
const char *PKG_FORCE_XPRESS     = SETUP_INF_FORCE_EXPRESS;
const char *PKG_USERDIR_AUTH     = SETUP_INF_USELDAP_UG;
const char *PKG_UPDATE_LDIF      = SETUP_INF_UPDATE_LDIF;
const char *PKG_START_PROGRAM    = SETUP_INF_START_PROGRAM;
/*
 ***************************************************************************
 * Silent Installation variables
 ***************************************************************************
 */
const char *SERVER_LIST          = SETUP_INF_COMPONENTS;
const char *SERVER_SRC           = "ServerSource";
const char *SERVER_ROOT          = SETUP_GLOBAL_INF_SVR_ROOT;
const char *MACHINE_NAME         = SETUP_GLOBAL_INF_FULLMACHNAME;
const char *DS_ADMIN_DOMAIN      = SETUP_GLOBAL_INF_ADMIN_DOMAIN;
/* The following should have been deprecated */
const char *CONFIG_DS_HOST       = SETUP_GLOBAL_INF_LDAP_HOST;
const char *CONFIG_DS_PORT       = SETUP_GLOBAL_INF_LDAP_PORT;
const char *CONFIG_DS_SUFFIX     = SETUP_GLOBAL_INF_LDAP_SUFFIX;

const char *SS_USER_ID           = SETUP_GLOBAL_INF_SUITESPOT_USERID;
const char *SS_GROUP             = SETUP_GLOBAL_INF_SUITESPOT_USERGROUP;
const char *CONFIG_LDAP_URL      = SETUP_GLOBAL_INF_LDAP_URL;
const char *MC_ADMIN_ID          = SETUP_GLOBAL_INF_LDAP_USER;
const char *MC_ADMIN_PWD         = SETUP_GLOBAL_INF_LDAP_PASSWD;

const char *UG_LDAP_URL          = SETUP_GLOBAL_INF_UG_LDAP_URL;
const char *UG_ADMIN_ID          = SETUP_GLOBAL_INF_UG_ADMINID;
const char *UG_ADMIN_PWD         = SETUP_GLOBAL_INF_UG_ADMINPWD;

/*
 ***************************************************************************
 * Installation related stuffs
 ***************************************************************************
 */
const char *INF_SUFFIX           = SETUP_INFTAG;
const char *LOG_SUFFIX           = SETUP_LOGTAG;
const char *SUITESPOT_INF        = SETUP_SETUP_INF;
const char *INSTALL_INF          = SETUP_INSTALL_INF;
const char *UNINSTALL_INF        = SETUP_UNINST_INF;
const char *SETUP_DIR            = SETUP_SETUP_DIR;
const char *INSTALL_LOG          = SETUP_INSTALL_LOG;

#ifdef __cplusplus
}
#endif
