/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation version
 * 2.1 of the License.
 *  
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *  
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * END COPYRIGHT BLOCK **/
/*********************************************************************
**
** NAME: nsutils.cpp, dead file replace by setupapi.cpp, setup is netscape setup common
**       nt and unix dll's
**   
**
** DESCRIPTION:
**   Netscape SetupSDK Program Utilities for Unix and WIN32
**
** NOTE:
**   Use XP_WIN32 for WIN32 and XP_UNIX for Unix
** HISTORY:
** $Log: nsutils.cpp,v $
** Revision 1.1.1.1  2005/07/29 22:16:29  foxworth
** Importing new setup sdk for open source project
**
** Revision 1.3  2005/07/29 19:43:27  nkinder
** 164436 - Updated copyrights, licensed code under LGPL, and licensed docs under OPL
**
** Revision 1.2  2005/03/01 01:45:13  nhosoi
** Brand the Setup SDK as "Fedora"; updated copyrights
**
** Revision 1.1.1.1  2005/01/25 18:34:45  cvsadm
** Move SetupSDK from 6.2 development branch to TRUNK
**
** Revision 1.1.1.2  2001/11/06 01:51:31  ahakim
** XXX AOL/NSCP Copyright XXX
**
** Revision 1.1.1.1  1999/03/04 23:28:29  svbld
** importing setupsdk41 closer to the trunk
**
** Revision 1.1.2.16.4.3  1998/10/13 21:03:11  gbeasley
** changing nss to setup
**
** Revision 1.1.2.16.4.2  1998/10/12 04:27:51  gbeasley
** silent uninstall
**
** Revision 1.1.2.16.4.1  1998/10/06 21:41:44  gbeasley
** initial common nss functions for unix and nt
**
** Revision 1.1.2.16  1998/09/03 01:46:43  cxue
** Bug 316870. Make sure DS_ADMIN_DOMAIN only contans domain name (not dn)
**
**
*/

#include "global.h"
#include "ldapu.h"
#include "setupapi.h"
#include "nsutils.h"

extern "C" {
#include "string.h"
};


extern "C"
{


//following api are deprecitated. all common NT and Unix api's have nss prefix.

NSAPI_EXTERN void
getDefaultLdapInfo(const char *sroot, char ** ldapURL, char ** ldapUser, 
                   char **adminDomain)
{
  setupGetDefaultLdapInfo(sroot,ldapURL,ldapUser,adminDomain);
}

NSAPI_EXTERN char *
formConfigLdapURL(const char *ldapURL)
{
  return setupFormConfigLdapURL(ldapURL);
}

NSAPI_EXTERN char *
stripConfigLdapURL(const char *configURL)
{
  return setupStripConfigLdapURL(configURL);
}

NSAPI_EXTERN int
IsValidLdapServer(const char* pszHost, int nPort, const char* pszSuffix,
                  const char* pszUserDN, const char* pszPassword)
{
  return setupIsValidLdapServer(pszHost,nPort, pszSuffix,pszUserDN,  pszPassword);
}


NSAPI_EXTERN int
IsValidLdapUser(const char* pszHost, int nPort, const char* pszSuffix,
                char** pszUser, const char* pszPassword, int bReturnDN)
{
  return setupIsValidLdapUser(pszHost,nPort,pszSuffix,pszUser,pszPassword,bReturnDN);
}

NSAPI_EXTERN int
ParseLdapUrl(char * szldapURL, char ** szldapDomain, unsigned int *uldapPort, char ** szldapDN)
{
  return setupParseLdapUrl(szldapURL, szldapDomain, uldapPort, szldapDN);
}


NSAPI_EXTERN void
nsSetupFree(char *src)
{
  setupFree(src);
}

NSAPI_EXTERN int  
insertPluginLdifEntries(const char *ldapURL, const char *subTreeDN, 
            const char *ldapUser, const char *ldapPwd, const char *ldifFile)
{
   return setupInsertPluginLdifEntries(ldapURL, subTreeDN, ldapUser, ldapPwd, ldifFile);
}

NSAPI_EXTERN char *
formAdminDomainDN(const char *domain)
{
   return setupFormAdminDomainDN(domain);
}

NSAPI_EXTERN char *
stripAdminDomainDN(const char *domainDN)
{
   return setupStripAdminDomainDN(domainDN);
}


} /* End extern "C" */


