/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation version
 * 2.1 of the License.
 *  
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *  
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * END COPYRIGHT BLOCK **/
/**********************************************************************
** NAME
**   installer.h
**
** DESCRIPTION
**
** NOTES
**
** HISTORY
**
** $Log: installer.h,v $
** Revision 1.1.1.1  2005/07/29 22:16:31  foxworth
** Importing new setup sdk for open source project
**
** Revision 1.5  2005/07/29 19:43:29  nkinder
** 164436 - Updated copyrights, licensed code under LGPL, and licensed docs under OPL
**
** Revision 1.4  2005/07/27 03:01:39  nhosoi
** [161408] Open Sourcing Setup Util
** Replacing "#include <iostream>" with "#include <iostream.h>" for HP-UX.
**
** Revision 1.3  2005/07/27 01:04:50  nhosoi
** [161408] Open Sourcing Setup Util
** 1) Setup SDK -> Setup Util
** 2) Fixed doc to adjust to the current status (including branding -- debranding Netscape)
** 3) Eliminated to reference to unzip code and libwww (plus downloader, which uses libwww)
** 4) Added unzip_wrapper.pl which calls unzip command line utility (assuming installed on the system), which does the equivalent to the modified unzip code.
** 5) code cleanup
**
** Revision 1.2  2005/03/01 01:45:17  nhosoi
** Brand the Setup SDK as "Fedora"; updated copyrights
**
** Revision 1.1.1.1  2005/01/25 18:34:45  cvsadm
** Move SetupSDK from 6.2 development branch to TRUNK
**
** Revision 1.1.1.7.8.2  2003/08/28 18:13:22  djani
** Bug 601226: Now, the setup allows the programmer to run PrePreInstall programs on Unix platforms. The field PrePreInstall holds the location of the program relative to the setup program that will be executed before the dialogues appear. This is a new feature in the setupsdk.
**
** Revision 1.1.1.7.8.1  2003/08/15 23:42:06  djani
** Bug 408242: If LD_LIBRARY_PATH (SHLIB_PATH for hpux) is set when user runs the setup program, a notice is displayed now. Also, ENV varialble is unset during the installation process.
**
** Revision 1.1.1.7  1999/12/04 00:34:58  cxue
** SecurityCheck and RequireDomain support in setup.inf
**
** Revision 1.1.1.6  1999/10/13 00:19:25  cxue
** chnage <serverroot> and go forward
**
** Revision 1.1.1.5  1999/09/27 20:18:40  cxue
** check diskspace after selection is done
**
** Revision 1.1.1.4  1999/09/17 01:48:47  cxue
** fix long lasting cross-dependence bug
**
** Revision 1.1.1.3  1999/05/20 19:01:01  cxue
** Patch database behaviors same as NT
**
** Revision 1.1.1.2  1999/05/05 18:01:23  cxue
** bug 351303, -p option
**
** Revision 1.1.1.1  1999/03/04 23:27:05  svbld
** importing setupsdk41 closer to the trunk
**
** Revision 1.1.2.34.2.9  1999/02/04 02:24:44  cxue
** remove temporary info file if process is killed by crtl-c. corect english sentences. Skip user/group dialog if needed
**
** Revision 1.1.2.34.2.8  1999/01/21 00:15:28  cxue
** Stop supporting downgrade installation
**
** Revision 1.1.2.34.2.7  1999/01/20 01:08:24  cxue
** support UpgradeOnly installation
**
** Revision 1.1.2.34.2.6  1999/01/13 01:32:14  cxue
** remove askRemoveInstallInfo dialog
**
** Revision 1.1.2.34.2.5  1998/11/10 02:40:38  cxue
** Call common setup api for logging, remove _installLog
**
** Revision 1.1.2.34.2.4  1998/11/04 19:42:34  pvo
** Enable option for skip build number checking
**
** Revision 1.1.2.34.2.3  1998/10/28 17:54:24  cxue
** base file
**
** Revision 1.1.2.34.2.2  1998/10/15 22:22:06  cxue
** resource framework for custom ui
**
** Revision 1.1.2.34.2.1  1998/10/09 21:27:11  cxue
** select invisible components if it has dependency on it and mandatory.
**
** Revision 1.1.2.34  1998/08/20 18:06:40  cxue
** getLocalLdapInfo
**
** Revision 1.1.2.33  1998/08/20 01:37:53  cxue
** verifyInstallDomain
**
** Revision 1.1.2.32  1998/08/19 01:32:15  pvo
** Add -b option for supporting binary only installation
**
** Revision 1.1.2.31  1998/07/31 02:57:00  pvo
** Fix version check logic
**
** Revision 1.1.2.30  1998/07/25 06:31:26  cxue
** Bug 302072. add logic to auto-detect UserDirectoryURL from DS4.0. This can avoid to ask UserDirectoryURL many times during installation. Requested by Sunil. Reviewed by Phong.
**
** Revision 1.1.2.29  1998/06/24 17:41:14  pvo
** 129804 - support UserDirectoryAuth
**
** Revision 1.1.2.28  1998/03/03 21:39:58  pvo
** Fixed server seletion/dependency problem.
**
** Revision 1.1.2.27  1998/02/26 04:01:59  pvo
** Fixed break in download.cc due to the call to set_ldap_option() in libinstall.
** Also try to detect input error when asking for installDN and try to
** create installDN if possible in case the user has the privilege to create
** it.
**
** Revision 1.1.2.26  1998/02/15 22:06:40  pvo
** 106679 - Support standalone installation of MCC.
**
** Revision 1.1.2.25  1998/02/04 00:01:53  pvo
** 104824 - DEC uninstall goes out of control
**
** Revision 1.1.2.24  1998/01/23 01:42:11  pvo
** Support writing NYR into DS.
**
** Revision 1.1.2.23  1998/01/22 04:51:29  pvo
** Various changes:
**    - Added support for patching/update
**    - Changed selection dialogs to say Specify instead of Enter.
**
** Revision 1.1.2.22  1998/01/09 03:27:30  pvo
** Various code changes/additions:
**    - Write Components= to install.inf for silent install
**    - Relocate install.log to server root/setup directory
**    - Improve Component Selection screen to indicate number of
**      additional modules
**    - Fix problem with removing symbolic links
**
** Revision 1.1.2.21  1997/12/12 21:54:20  pvo
** Various bug fixes.
**
** Revision 1.1.2.20  1997/12/04 00:03:13  pvo
** Prepare support for DS installation.
**
** Revision 1.1.2.19  1997/12/02 04:28:28  pvo
** Support for Silent installation and various bug fixes.
**
** Revision 1.1.2.18  1997/11/26 02:02:57  pvo
** Restructure files and add Download support.
**
** Revision 1.1.2.17  1997/11/16 22:34:08  pvo
** Added back installType.
**
** Revision 1.1.2.16  1997/11/14 09:11:32  pvo
** Various changes to strengthen code.
**
** Revision 1.1.2.15  1997/11/13 19:28:41  pvo
** More new stuffs. Changed .pi to .inf.
**
** Revision 1.1.2.14  1997/11/11 23:17:35  pvo
** Implemented preUninstall and postUninstall.
**
** Revision 1.1.2.13  1997/11/08 16:52:03  pvo
** UnInstallation support.
**
** Revision 1.1.2.12  1997/10/29 01:43:01  pvo
** Modular Installation support.
**
** Revision 1.1.2.11  1997/10/24 03:39:33  pvo
** Final modification to make all work across platforms! Hope I make
** it this time.
**
** Revision 1.1.2.10  1997/10/23 03:23:36  pvo
** More change to support other platforms.
**
** Revision 1.1.2.9  1997/10/22 02:40:49  pvo
** Too many changes to list out here.
**
** Revision 1.1.2.8  1997/10/10 00:36:01  pvo
** Added support for zip format.
**
** Revision 1.1.2.7  1997/09/29 22:51:35  pvo
** Additional code.
**
** Revision 1.1.2.6  1997/09/27 02:47:16  pvo
** Checked in.
**
***********************************************************************/

#ifndef NS_INSTALLER_H
#define NS_INSTALLER_H

/**********************************************************************
**
** Includes
**
**********************************************************************/
#include <iostream.h>

extern "C" {
#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <sys/wait.h>
#include <unistd.h>
#include <dirent.h>
}

#include "nsdefs.h"
#include "ux-util.h"
#include "dialog.h"
#include "product.h"
#include "ux-setup.h"
#include "dl-inst.h"

#define MAX_ALLOWED_PREPREINSTALL 128



/*
** Forward Reference
*/
class Installer;


/*
** CLASS:
**   Installer
**
** DESCRIPTION:
**   The SuiteSpot Installer
**   
**
*/
class Installer:public SetUp
{
public:
  Installer(int, char **);
  ~Installer();

  int  init();
  void run();
  void cleanUp();

  int getNewProducts(const NSString &sourceDir, const char *infName);
  void refreshNewProducts();

  void checkInstalled();

  void setInstallMode(InstallMode mode)
     { _installMode = mode; }
  void setInstallType(InstallType type)
     { _installType = type; }

  NSString checkComponentsDependency(Components *);
  NSString checkComponentsDependency(Components *, int checkAll);
  void     selectComponentDependency(Components *, Components *);

  NSString checkInstallable(Components *);
  NSString checkServerRoot(const char *sroot);
  NSString verifySSUser(const char *ssUser);
  NSString verifySSGroup(const char *ssUser, const char *ssGroup);
  NSString verifyInstallPrivilege(const char *ldapURL, const char *ldapUser, const char *ldapPwd, const char *installDN);
  NSString verifyInstallDomain (const char *ldapURL, const char *installDN);
  NSString getUserDirectory(const char *ldapURL, const char *ldapUser, const char *ldapPwd, const char *installDN, char **url, char **bindDN, char **bindPwd);
  Bool     getLocalLdapInfo (char ** ldapURL, char ** ldapUser, char **installDN);

  Bool checkDiskSpace();

  Bool     needLdapInfo();
  Bool     needUserDirAuth();
  Bool     hasClients();
  Bool     allClients();
  void     selectAllClients();
  Bool     needDomainName();

private:

   InstallMode _installMode;   /* Silent or Interactive */
   InstallType _installType;
   
   NSString _sourceDir;         // Where source files are located

   NSString _inputFile;         // filename passed through -f option

   NSString _logFile;

   Bool _runFromRoot;

   Bool _needLdap;

   Bool _checkBuildNum;

   NSString _baseFile;   // to have customized setup.inf file name

   Bool _keepInstallCache;  // default is False

   Bool _preInstallOnly;  // default is False

   Bool _checkDomainName;  // default is True

   /*
    * Private functions
    */
   void getOptions(int argc, char **argv);
   int  initDialog();
   void initDefaultAnswer(InstallInfo *);

   Bool checkUpdate(Product *p);
   int  checkPatch (Product *p);

   int  doPreOrPostInstall(Product &, const char *which);
   void  prepreInstall();
   int  preInstall();
   int  install();
   int  installSuiteSpot();
   int  doSilentInstall();
   int  doInteractiveInstall();
   int  doBinaryInstall();
   int  doInstall(const Product &);
   int  postInstall();

   void updateModuleInfo(const Product &product, NVPair *moduleInfo);

   void updateSuiteSpotInfo();

   void updatePatchInfo(Product *, NVPair *moduleInfo);

   void updateRegistrationInfo(const Product *);

   Bool needLdapCheck(const Product *, const Components *);

   void skipInvalidComponents();

   // start and stop log information to install.inf
   void startLogging();
   void stopLogging();

  int getUILocation(const char *nickname);

  /*
   * return total required disk space in kilobyte
   */
  long requiredDiskSpace();

  void printNotice();
};

#endif
