/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation version
 * 2.1 of the License.
 *  
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *  
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * END COPYRIGHT BLOCK **/
/*********************************************************************
** NAME:
**   ldap_stub.cc
**
** DESCRIPTION:
**   Stub used when LDAP library is not needed
**
** NOTES:
**
** HISTORY:
** $Log: ldap_stub.cc,v $
** Revision 1.1.1.1  2005/07/29 22:16:31  foxworth
** Importing new setup sdk for open source project
**
** Revision 1.3  2005/07/29 19:43:29  nkinder
** 164436 - Updated copyrights, licensed code under LGPL, and licensed docs under OPL
**
** Revision 1.2  2005/03/01 01:45:17  nhosoi
** Brand the Setup SDK as "Fedora"; updated copyrights
**
** Revision 1.1.1.1  2005/01/25 18:34:45  cvsadm
** Move SetupSDK from 6.2 development branch to TRUNK
**
** Revision 1.1.1.1  1999/03/04 23:27:05  svbld
** importing setupsdk41 closer to the trunk
**
** Revision 1.1.2.3.8.1  1998/09/24 02:41:15  pvo
** Support LDAP referral
**
** Revision 1.1.2.3  1998/03/12 01:22:00  pvo
** Added stub for ldap_modrdn2_s().
**
** Revision 1.1.2.2  1998/02/26 04:01:59  pvo
** Fixed break in download.cc due to the call to set_ldap_option() in libinstall.
** Also try to detect input error when asking for installDN and try to
** create installDN if possible in case the user has the privilege to create
** it.
**
** Revision 1.1.2.1  1997/11/26 02:02:58  pvo
** Restructure files and add Download support.
**
**
*********************************************************************/
extern "C" {

int ldap_init() { return 0; }
int ldap_memfree() { return 0; }
int ldap_get_dn() { return 0; }
int ldap_err2string() { return 0; }
int ldap_unbind() { return 0; }
int ldap_search_st() { return 0; }
int ldap_get_lderrno() { return 0; }
int ldap_delete_s() { return 0; }
int ldap_first_entry() { return 0; }
int ldap_add_s() { return 0; }
int ldap_next_attribute() { return 0; }
int ldap_url_parse() { return 0; }
int ldap_value_free() { return 0; }
int ldap_explode_dn() { return 0; }
int ldap_ber_free () { return 0; }
int ldap_is_ldap_url() { return 0; }
int ldap_modify_s() { return 0; }
int ldap_search_s() { return 0; }
int ldap_simple_bind_s() { return 0; }
int ldap_msgfree() { return 0; }
int ldap_first_attribute() { return 0; }
int ldap_next_entry() { return 0; }
int ldap_get_values() { return 0; }
int ldap_count_entries() { return 0; }
int ldap_free_urldesc() { return 0; }
int ldap_set_option() { return 0; }
int ldap_modrdn2_s() { return 0; }
int ldap_set_rebind_proc() { return 0; }

}
