/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation version
 * 2.1 of the License.
 *  
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *  
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * END COPYRIGHT BLOCK **/
/*********************************************************************
** NAME:
**   nls_stub.cc
**
** DESCRIPTION:
**   Stub used when NLS library is not needed
**
** NOTES:
**
** HISTORY:
** $Log: nls_stub.cc,v $
** Revision 1.1.1.1  2005/07/29 22:16:31  foxworth
** Importing new setup sdk for open source project
**
** Revision 1.3  2005/07/29 19:43:29  nkinder
** 164436 - Updated copyrights, licensed code under LGPL, and licensed docs under OPL
**
** Revision 1.2  2005/03/01 01:45:17  nhosoi
** Brand the Setup SDK as "Fedora"; updated copyrights
**
** Revision 1.1.1.1  2005/01/25 18:34:45  cvsadm
** Move SetupSDK from 6.2 development branch to TRUNK
**
** Revision 1.1.1.1  1999/03/04 23:27:06  svbld
** importing setupsdk41 closer to the trunk
**
** Revision 1.1.4.3  1998/04/14 01:28:00  pvo
** support new libnls
**
** Revision 1.1.4.2  1998/04/09 03:04:33  pvo
** Support new libnls 0401
**
** Revision 1.1.4.1  1998/03/28 03:37:51  pvo
** 103261 - Support for 8-bit input
**
**
*********************************************************************/
class UnicodeString {
   UnicodeString(const char *, const char *);
   char *toCString(const char *) const;
   static long fgErrorChar;
   static long kEmptyHashCode;
   static char   kInvalidHashCode;
};

long UnicodeString::fgErrorChar;
long UnicodeString::kEmptyHashCode;
char UnicodeString::kInvalidHashCode;

UnicodeString::UnicodeString(const char *a, const char *b) {}
char * UnicodeString::toCString(const char *s) const {return 0;}

extern "C" int NLS_EncInitialize() { return 0; }
extern "C" int NLS_EncTerminate() { return 0; }

typedef char *NLS_StaticConverterRegistry;
NLS_StaticConverterRegistry _STATICLINK_NSJPN_;
NLS_StaticConverterRegistry _STATICLINK_NSCCK_;
NLS_StaticConverterRegistry _STATICLINK_NSSB_;
extern "C" int NLS_RegisterStaticLibrary(NLS_StaticConverterRegistry ImportStaticEntryList) { return 0; }
