/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation version
 * 2.1 of the License.
 *  
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *  
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * END COPYRIGHT BLOCK **/
#ifndef UXRES_H
#define UXRES_H

#include "global.h"
#include "nsdefs.h"

typedef struct STRING_TABLE {
   const char *id;
   const char *str;
} STRING_TABLE;

extern STRING_TABLE string_table[];

void initResource(NVPair *nv);

NSString getResource(const char *id);
NSString getResource(const char *id, const char *arg);
void setResource(const char *id, const char *text);

/* Strings can be defined in *.inf file */
#define RES_GLOBAL_VENDOR   SETUP_INF_VENDOR
#define RES_GLOBAL_PRODUCT  SETUP_INF_NAME
#define RES_GLOBAL_BRAND    SETUP_INF_BRAND
#define RES_GLOBAL_CONSOLE  SETUP_INF_CONSOLE

/* Dialog */
#define RES_DIALOG_WELCOME_TEXT              "dialog_welcome_text"
#define RES_DIALOG_WELCOME_TEXT0             "dialog_welcome_text0"
#define RES_DIALOG_WELCOME_TEXT1             "dialog_welcome_text1"
#define RES_DIALOG_WELCOME_TEXT2             "dialog_welcome_text2"
#define RES_DIALOG_WELCOME_PROMPT            "dialog_welcome_prompt"
#define RES_DIALOG_LICENSE_TEXT              "dialog_license_text"
#define RES_DIALOG_LICENSE_PROMPT            "dialog_license_prompt"
#define RES_DIALOG_SELECTION_TEXT           "dialog_selection_text"
#define RES_DIALOG_SELECTION_TEXT0           "dialog_selection_text0"
#define RES_DIALOG_ASKOPTIONS                "dialog_ask_options"
#define RES_DIALOG_ASKOPTIONS0               "dialog_ask_options0"
#define RES_DIALOG_ASKSOURCEOPTIONS          "dialog_ask_sourceoptions"
#define RES_DIALOG_ASKSOURCEOPTIONS0         "dialog_ask_sourceoptions0"
#define RES_DIALOG_ASKVSOURCEOPTIONS         "dialog_ask_vsourceoptions"
#define RES_DIALOG_ASKDESTINATION            "dialog_ask_destination"

#define RES_DIALOG_CLIENTORSERVER_TEXT       "dialog_clientorserver_text"
#define RES_DIALOG_CLIENTORSERVER_TEXT0      "dialog_clientorserver_text0"
#define RES_DIALOG_CLIENTORSERVER_TEXT1      "dialog_clientorserver_text1"
#define RES_DIALOG_CLIENTORSERVER_TEXT2      "dialog_clientorserver_text2"
#define RES_DIALOG_CLIENTORSERVER_TEXT3      "dialog_clientorserver_text3"
#define RES_DIALOG_CLIENTORSERVER_PROMPT     "dialog_clientorserver_prompt"
#define RES_DIALOG_INSTALLTYPE_TEXT          "dialog_installtype_text"
#define RES_DIALOG_INSTALLTYPE_PROMPT        "dialog_installtype_prompt"
#define RES_DIALOG_SERVERROOT_TEXT           "dialog_serverroot_text"
#define RES_DIALOG_SERVERROOT_PROMPT         "dialog_serverroot_prompt"
#define RES_DIALOG_CLIENTROOT_TEXT           "dialog_clientroot_text"
#define RES_DIALOG_CLIENTROOT_TEXT0          "dialog_clientroot_text0"
#define RES_DIALOG_CLIENTROOT_PROMPT         "dialog_clientroot_prompt"
#define RES_DIALOG_HOSTNAME_TEXT             "dialog_hostname_text"
#define RES_DIALOG_HOSTNAME_PROMPT           "dialog_hostname_prompt"
#define RES_DIALOG_SSUSER_TEXT               "dialog_ssuser_text"
#define RES_DIALOG_SSUSER_PROMPT             "dialog_ssuser_prompt"
#define RES_DIALOG_REMOVEINSTALLINFO_TEXT    "dialog_removeinstallinfo_text"
#define RES_DIALOG_REMOVEINSTALLINFO_PROMPT  "dialog_removeinstallinfo_prompt"

#define RES_DIALOG_LDAPINFO_TEXT             "dialog_ldapinfo_text"
#define RES_DIALOG_LDAPINFO_PROMPT           "dialog_ldapinfo_prompt"

#define RES_DIALOG_INSTALLDN_TEXT            "dialog_installdn_text"
#define RES_DIALOG_INSTALLDN_PROMPT          "dialog_installdn_prompt"

#define RES_DIALOG_LDAPUSER_TEXT             "dialog_ldapuser_text"
#define RES_DIALOG_LDAPUSER_PROMPT           "dialog_ldapuser_prompt"

#define RES_DIALOG_USERDIRECTORYINFO_TEXT    "dialog_userdirectoryinfo_text"
#define RES_DIALOG_USERDIRECTORYINFO_PROMPT  "dialog_userdirectoryinfo_prompt"

#define RES_DIALOG_USERDIRECTORYADMIN_TEXT   "dialog_userdirectoryadmin_text"
#define RES_DIALOG_USERDIRECTORYADMIN_PROMPT "dialog_userdirectoryadmin_prompt"

#define RES_MESSAGE_VERIFYLDAPINFO1            "message_verifyldapinfo1"
#define RES_MESSAGE_ASKINSTALLDNNEXT1          "message_askinstalldnnext1"
#define RES_MESSAGE_VERIFYLDAPUSER1            "message_verifyldapuser1"
#define RES_MESSAGE_VERIFYLDAPUSER2            "message_verifyldapuser2"
#define RES_MESSAGE_VERIFYLDAPUSER3            "message_verifyldapuser3"
#define RES_MESSAGE_VERIFYLDAPUSER4            "message_verifyldapuser4"
#define RES_MESSAGE_VERIFYLDAPUSER5            "message_verifyldapuser5"
#define RES_MESSAGE_VERIFYLDAPUSER6            "message_verifyldapuser6"
#define RES_MESSAGE_VERIFYINSTALLPRIVILEGE1    "message_verifyinstallprivilege1"
#define RES_MESSAGE_VERIFYINSTALLPRIVILEGE2    "message_verifyinstallprivilege2"
#define RES_MESSAGE_VERIFYINSTALLPRIVILEGE22   "message_verifyinstallprivilege22"
#define RES_MESSAGE_VERIFYINSTALLPRIVILEGE3    "message_verifyinstallprivilege3"
#define RES_MESSAGE_VERIFYINSTALLPRIVILEGE32   "message_verifyinstallprivilege32"
#define RES_MESSAGE_VERIFYINSTALLPRIVILEGE4    "message_verifyinstallprivilege4"
#define RES_MESSAGE_CHECKSERVERROOT1           "message_checkserverroot1"
#define RES_MESSAGE_CHECKSERVERROOT2           "message_checkserverroot2"
#define RES_MESSAGE_CHECKCOMPONENTDEPENDENCY1  "message_checkcomponentdependency1"
#define RES_MESSAGE_CHECKCOMPONENTDEPENDENCY2  "message_checkcomponentdependency2"
#define RES_MESSAGE_CHECKCOMPONENTDEPENDENCY3  "message_checkcomponentdependency3"
#define RES_MESSAGE_CHECKCOMPONENTDEPENDENCY4  "message_checkcomponentdependency4"
#define RES_MESSAGE_CHECKCOMPONENTDEPENDENCY5  "message_checkcomponentdependency5"
#define RES_MESSAGE_CHECKCOMPONENTDEPENDENCY6  "message_checkcomponentdependency6"
#define RES_MESSAGE_VERIFYSSUSER1              "message_verifyssuser1"
#define RES_MESSAGE_VERIFYSSUSER2              "message_verifyssuser2"
#define RES_MESSAGE_VERIFYSSUSER3              "message_verifyssuser3"
#define RES_MESSAGE_VERIFYSSGROUP1             "message_verifyssgroup1"
#define RES_MESSAGE_VERIFYSSGROUP2             "message_verifyssgroup2"
#define RES_MESSAGE_VERIFYSSGROUP3             "message_verifyssgroup3"
#define RES_MESSAGE_VERIFYSSGROUP4             "message_verifyssgroup4"
#define RES_MESSAGE_VERIFYSSGROUP5             "message_verifyssgroup5"
#define RES_MESSAGE_UNINST_VERIFYSELECTION1    "message_uninst_verifyselection1"


#endif

