/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation version
 * 2.1 of the License.
 *  
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *  
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * END COPYRIGHT BLOCK **/
#include "uxres.h"

STRING_TABLE string_table[] = {

/* -------------- Global strings --------------- */
{ RES_GLOBAL_VENDOR,
  SETUP_DEFAULTVENDOR,
},

{ RES_GLOBAL_PRODUCT,
  SETUP_DEFAULTNAME,
},

{ RES_GLOBAL_BRAND,
  SETUP_DEFAULTBRAND,
},

{ RES_GLOBAL_CONSOLE,
  SETUP_DEFAULTCONSOLE,
},

/* ------------ Welcome Dialog Resource ------------ */
{ RES_DIALOG_WELCOME_TEXT,
"Welcome to the %s Server Products installation program\n",
/* %s -> brand */
},

{ RES_DIALOG_WELCOME_TEXT0,
"This program will install %s Server Products and the\n",
/* %s -> brand */
},

{ RES_DIALOG_WELCOME_TEXT1,
"%s on your computer.\n\n"
"It is recommended that you have \"root\" privilege to install the\n"
"software.",
/* %s -> console */
},

{ RES_DIALOG_WELCOME_TEXT2,
"Tips for using the installation program:\n"
"  - Press \"Enter\" to choose the default and go to the next screen\n"
"  - Type \"Control-B\" to go back to the previous screen\n"
"  - Type \"Control-C\" to cancel the installation program\n"
"  - You can enter multiple items using commas to separate them.\n"
"    For example: 1, 2, 3 \n",
},

{ RES_DIALOG_WELCOME_PROMPT,
"Would you like to continue with installation?",
},

{ RES_DIALOG_ASKOPTIONS,
"Please select the type of installation you would like to perform:\n"
"\n"
"   1. Download Only\n"
"       Download %s Server Products and run the installation at\n"
"       a later time, or copy the files to another computer and\n"
"       run the installation.\n"
"\n",
/* %s -> brand */
},

{ RES_DIALOG_ASKOPTIONS0,
"   2. Download and install\n"
"       Download %s Server Products and install them on this\n"
"       computer.\n"
"\n"
"\n"
"To accept the default shown in brackets, press the Return key.",
/* %s -> brand */
},

{ RES_DIALOG_ASKSOURCEOPTIONS,
"In order to proceed with download, you need to specify the location\n"
"from which it is obtained. You may download from the %s\n"
"FTP server, or from an FTP server running on your intranet.\n"
"\n",
/* %s -> brand */
},

{ RES_DIALOG_ASKSOURCEOPTIONS0,
"Please choose your desired options below:\n"
"\n"
"   1. Download from %s FTP server\n"
"   2. Download from your Intranet\n"
"\n"
"To accept the default shown in brackets, press the Return key.",
/* %s -> vender */
},

{ RES_DIALOG_ASKVSOURCEOPTIONS,
"Please choose which %s FTP server you\n"
"wish to download from:\n"
"\n"
"To accept the default shown in brackets, press the Return key."
"\n",
/* %s -> vender */
},

{ RES_DIALOG_ASKDESTINATION,
"This program will download %s Server Products into the\n"
"following directory."
"\n"
"To accept the default shown in brackets, press the Return key.",
/* %s -> brand */
},

/*  ----------- License Dialog Resource  -----------  */
{ RES_DIALOG_LICENSE_TEXT,
"BY INSTALLING THIS SOFTWARE YOU ARE CONSENTING TO BE BOUND BY\n"
"AND ARE BECOMING A PARTY TO THE AGREEMENT FOUND IN THE\n"
"LICENSE.TXT FILE. IF YOU DO NOT AGREE TO ALL OF THE TERMS\n"
"OF THIS AGREEMENT, PLEASE DO NOT INSTALL OR USE THIS SOFTWARE.",
},

{ RES_DIALOG_LICENSE_PROMPT,
"Do you agree to the license terms?",
},


/*  ----------- Selection Dialog Resource  -----------  */
{ RES_DIALOG_SELECTION_TEXT,
"%s components:",
/* %s -> brand */
},

{ RES_DIALOG_SELECTION_TEXT0,
"The following are the %s\n"
"components currently installed on your machine:",
/* %s -> brand */
},


/*  ----------- Client/Server Dialog Resource  ----------------  */
{ RES_DIALOG_CLIENTORSERVER_TEXT,
"Select the items you would like to install:\n"
"\n"
"   1. %s Servers\n",
/* %s -> brand */
},

{ RES_DIALOG_CLIENTORSERVER_TEXT0,
"       Installs %s Servers with the integrated ",
/* %s -> brand */
},

{ RES_DIALOG_CLIENTORSERVER_TEXT1,
"%s Management Console\n"
"       onto your computer.\n"
"\n",
/* %s -> brand */
},

{ RES_DIALOG_CLIENTORSERVER_TEXT2,
"   2. %s Management Console\n",
/* %s -> brand */
},

{ RES_DIALOG_CLIENTORSERVER_TEXT3,
"       Installs %s Management Console\n"
"       as a stand-alone Java application on your computer.\n"
"\n"
"To accept the default shown in brackets, press the Enter key.",
/* %s -> brand */
},

{ RES_DIALOG_CLIENTORSERVER_PROMPT,
"Select the component you want to install",
},

/*  ----------- InstallType Dialog Resource  ----------------  */
{ RES_DIALOG_INSTALLTYPE_TEXT,
"Choose an installation type:\n"
"\n"
"   1. Express installation\n"
"       Allows you to quickly install the servers using the most\n"
"       common options and pre-defined defaults. Useful for quick\n"
"       evaluation of the products.\n"
"\n"
"   2. Typical installation\n"
"       Allows you to specify common defaults and options.\n"
"\n"
"   3. Custom installation\n"
"       Allows you to specify more advanced options. This is \n"
"       recommended for experienced server administrators only.\n"
"\n"
"To accept the default shown in brackets, press the Enter key.",
},

{ RES_DIALOG_INSTALLTYPE_PROMPT,
"Choose an installation type",
},

/*  ----------- ServerRoot Dialog Resource  ----------------  */
{ RES_DIALOG_SERVERROOT_TEXT,
"This program will extract the server files and install them\n"
"into a directory you specify. That directory is called the \n"
"server root in the product documentation and will contain \n"
"the server programs, the Administration Server, and the server\n"
"configuration files.\n"
"\n"
"To accept the default shown in brackets, press the Enter key.",
},

{ RES_DIALOG_SERVERROOT_PROMPT,
"Install location",
},

/*  ----------- ClientRoot Dialog Resource  ----------------  */
{ RES_DIALOG_CLIENTROOT_TEXT,
"This program will extract the %s Management Console files and\n",
/* %s -> brand */
},

{ RES_DIALOG_CLIENTROOT_TEXT0,
"install them in a directory you specify. %s Management Console\n"
"includes the Java Runtime Environment and the Management \n"
"Console applications.\n" 
"\n" 
"To accept the default shown in brackets, press the Enter key.", 
/* %s -> brand */
},

{ RES_DIALOG_CLIENTROOT_PROMPT,
"Install location",
},

/*  ----------- HostName Dialog Resource  ----------------  */
{ RES_DIALOG_HOSTNAME_TEXT,
"Enter the fully qualified domain name of the computer\n"
"on which you're installing server software. Using the form\n"
"<hostname>.<domainname>\n"
"Example: eros.example.com.\n"
"\n"
"To accept the default shown in brackets, press the Enter key.",
},

{ RES_DIALOG_HOSTNAME_PROMPT,
"Computer name",
},

/*  ----------- SSUser Dialog Resource  ----------------  */
{ RES_DIALOG_SSUSER_TEXT,
"Choose a Unix user and group to represent the %s server\n"
"in the user directory.  The server will run as this user.\n" 
"It is recommended that this user should have no privileges \n"
"in the computer network system.  The Administration Server \n"
"will give this group some permissions in the server root\n"
"to perform server-specific operations.\n\n"
"If you have not yet created a user and group for the server,\n"
"create this user and group using your native UNIX\n"
"system utilities.\n\n"
"\n"
"To accept the default shown in brackets, press the Return key.",
/* %s -> brand */
},

{ RES_DIALOG_SSUSER_PROMPT,
"System User",
},

/*  ----------- removeInstallInfo Dialog Resource  ----------------  */
{ RES_DIALOG_REMOVEINSTALLINFO_TEXT,
"The installation cache \"install.inf\" generated by the setup\n"
"program which is located in the directory server root/setup. This\n"
"file can be used as a silent installation script for installing\n"
"similar servers on other computers. However, it may contain\n"
"sensitive information such as user IDs and passwords you have\n"
"entered.\n",
},

{ RES_DIALOG_REMOVEINSTALLINFO_PROMPT,
"Would you like to remove it the installation cache file?",
},

/*  ----------- LdapInfo Dialog Resource  ----------------  */
{ RES_DIALOG_LDAPINFO_TEXT,
"%s Server Products require an LDAP-based Directory\n"
"Server for the administration of server configuration. This\n"
"server contains the Configuration Directory.\n"
"\n"
"Enter the non-secured LDAP URL of the server that contains the\n"
"Configuration Directory using the form:\n"
"\n"
"     ldap://<hostname>:<port>",
/* %s -> brand */
},

{ RES_DIALOG_LDAPINFO_PROMPT,
"URL of Directory Server",
},

/*  ----------- InstallDN Dialog Resource  ----------------  */
{ RES_DIALOG_INSTALLDN_TEXT,
"Please specify the name of the Administration Domain in \n"
"the Configuration Directory where your server configuration \n"
"information is to be stored\n"
"\n"
"You must have already been granted write access to this \n"
"Administration Domain in order to install the software.\n"
"\n"
"To accept the default shown in brackets, press the Enter key.",
},

{ RES_DIALOG_INSTALLDN_PROMPT,
"Administration Domain name",
},

/*  ----------- LdapUser Dialog Resource  ----------------  */
{ RES_DIALOG_LDAPUSER_TEXT,
"Enter the User ID or Distinguished Name of the administrator who is\n"
"authorized to access the Configuration Directory at",
},

{ RES_DIALOG_LDAPUSER_PROMPT,
"Configuration Admin ID or DN:",
},

/*  ----------- UserDirectoryInfo Dialog Resource  ----------------  */
{ RES_DIALOG_USERDIRECTORYINFO_TEXT,
"At least one of the components to be installed requires write \n"
"access to the User Directory Server.\n"
"\n"
"Enter the non-secured LDAP URL of the User Directory in the format\n"
"below:\n"
"\n"
"     ldap://<hostname>:<port>/<base distinguished name>",
},

{ RES_DIALOG_USERDIRECTORYINFO_PROMPT,
"URL of User Directory",
},

/*  ----------- UserDirectoryAdmin Dialog Resource  ----------------  */
{ RES_DIALOG_USERDIRECTORYADMIN_TEXT,
"Enter the User ID or Distinguished Name of the administrator who\n"
"has write access the User Directory at",
},

{ RES_DIALOG_USERDIRECTORYADMIN_PROMPT,
"User Directory Admin ID or DN:",
},


/***********************************************************************
 *                      Error, warning messages
 ***********************************************************************/
{RES_MESSAGE_VERIFYLDAPINFO1,
"Enter an unsecured LDAP URL in the form\n"
"          ldap://<host>:<unsecured ldap port>//<base DN>",
},

{RES_MESSAGE_ASKINSTALLDNNEXT1,
"ERROR: Enter just the name of the entry, but not\n"
"       a Distinguished Name.\n"
"       Acceptable:  mcom.com\n"
"       Not Acceptable:  cm=mcom.com\n",
},


{RES_MESSAGE_VERIFYLDAPUSER1,
"Invalid input.\n",
},

{RES_MESSAGE_VERIFYLDAPUSER2,
"Invalid URL \"%s\".\n",
},

{RES_MESSAGE_VERIFYLDAPUSER3,
"Insufficient authorization.\n",
},


{RES_MESSAGE_VERIFYLDAPUSER4,
"Cannot connect to the specified directory server.\n"
"       The server may be down. Check the server \n"
"       to be sure it's running before proceeding \n"
"       with installation.\n",
},

{RES_MESSAGE_VERIFYLDAPUSER5,
"Invalid user and/or password.\n",
},

{RES_MESSAGE_VERIFYLDAPUSER6,
"Authentication failed. Either you have entered\n"
"       an invalid user ID or password, or the directory server\n"
"       is having some problem. Please check and re-enter.\n",
},


{RES_MESSAGE_VERIFYINSTALLPRIVILEGE1,
"The Configuration Directory may not to be set up correctly for \n"
"installing %s Server products. Please verify that the \n"
"o=NetscapeRoot base suffix is configured and that you have\n"
"write access to that directory subtree.\n",
/* %s -> brand */
},


{RES_MESSAGE_VERIFYINSTALLPRIVILEGE2,
"The Configuration Directory may not be set up correctly for \n"
"installing %s Server products. Please contact your \n",
/* %s -> brand */
},

{RES_MESSAGE_VERIFYINSTALLPRIVILEGE22,
"directory administrator to verify that the you have write \n"
"access to %s,%s\n",
},

{RES_MESSAGE_VERIFYINSTALLPRIVILEGE3,
"The Configuration Directory may not be set up correctly for \n"
"the installing %s Server products. Please contact\n",
/* %s -> brand */
},

{RES_MESSAGE_VERIFYINSTALLPRIVILEGE32,
"your directory administrator to verify that the you have write\n"
"access to %s\n",
},


{RES_MESSAGE_VERIFYINSTALLPRIVILEGE4,
"The specified Configuration Administrator ID\n"
"             \"%s\"\n"
"       does not have sufficient write access to the Configuration\n"
"       directory.  Select a user ID with write access to\n"
"       the Configuration Directory subtree.\n",
},

{RES_MESSAGE_CHECKSERVERROOT1,
"The directory %s already exists and might contain\n"
"       pre-4.0 Netscape servers. Installing into an existing\n"
"       pre-4.0 server root is not supported. Choose another\n"
"       server root.\n",
},

{RES_MESSAGE_CHECKSERVERROOT2,
"The server root %s already exists and contains a\n"
"        version of Netscape Server Products that is incompatible\n"
"        with this version. Choose another server root.\n",
},

{RES_MESSAGE_CHECKCOMPONENTDEPENDENCY1,
"A previous version of %s needs to be\n"
"installed before it can be updated.\n",
},

{RES_MESSAGE_CHECKCOMPONENTDEPENDENCY2,
"%s depends on %s to be \n"
"       installed. Select %s.\n",
},

{RES_MESSAGE_CHECKCOMPONENTDEPENDENCY3,
"A previous version of %s needs to be\n"
"installed before it can be patched.\n",
},

{RES_MESSAGE_CHECKCOMPONENTDEPENDENCY4,
"A newer version of %s is already installed.\n",
},

{RES_MESSAGE_CHECKCOMPONENTDEPENDENCY5,
"Target product has different version.\n",
},

{RES_MESSAGE_CHECKCOMPONENTDEPENDENCY6,
"Target product has different security.\n",
},

{RES_MESSAGE_VERIFYSSUSER1,
"The user ID %s does not currently exist.\n"
"       Choose another user, or create this user and start again.\n",
},

{RES_MESSAGE_VERIFYSSUSER2,
"The system will not allow you to run the\n"
"       %s servers ",
/* %s -> brand */
},

{RES_MESSAGE_VERIFYSSUSER3,
"as \"%s\". Choose another user.\n",
},

{RES_MESSAGE_VERIFYSSGROUP1,
"The user \"%s\" does not currently exist.\n"
"       Choose another user, or create this user and start again.\n",
},


{RES_MESSAGE_VERIFYSSGROUP2,
"The group \"%s\" does not currently exist.\n"
"       Choose another group, or create this group and start again.\n",
},

{RES_MESSAGE_VERIFYSSGROUP3,
"The system user \"%s\" is not in the \"%s\" group.\n"
"       Choose another user, or create this user and start again.\n",
},

{RES_MESSAGE_VERIFYSSGROUP4,
"The system will not allow you to run any %s\n",
/* %s -> brand */
},

{RES_MESSAGE_VERIFYSSGROUP5,
"       server as the user or group \"%s/%s\". Choose another user or group.\n",
},

{RES_MESSAGE_UNINST_VERIFYSELECTION1,
"ERROR: %s is dependent on %s.\n"
"       Please also select %s or remove\n"
"       %s first.",
},

/* Terminator */
{ 0, 
NULL,
}

};   // end of string_table

